From 291ecfb546a99a33c2bd09107c67e4a10d6e3719 Mon Sep 17 00:00:00 2001
From: Masahiko Sawada <sawada.mshk@gmail.com>
Date: Mon, 18 Nov 2024 15:11:08 -0800
Subject: [PATCH v2] Include necessary header files in radixtree.h.

When #include'ing radixtree.h with RT_SHMEM, it could happen to raise
compiler errors due to missing some declarations of types and
functions.

This commit also removes the inclusion of postgres.h since it's
against our usual convention.

Reviewed-by: Heikki Linnakangas
Discussion: https://postgr.es/m/CAD21AoCU9YH%2Bb9Rr8YRw7UjmB%3D1zh8GKQkWNiuN9mVhMvkyrRg%40mail.gmail.com
---
 src/include/lib/radixtree.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/include/lib/radixtree.h b/src/include/lib/radixtree.h
index 88bf695e3f3..6bb0983a3bf 100644
--- a/src/include/lib/radixtree.h
+++ b/src/include/lib/radixtree.h
@@ -151,11 +151,11 @@
  *-------------------------------------------------------------------------
  */
 
-#include "postgres.h"
-
+#include "miscadmin.h"
 #include "nodes/bitmapset.h"
 #include "port/pg_bitutils.h"
 #include "port/simd.h"
+#include "storage/lwlock.h"
 #include "utils/dsa.h"
 #include "utils/memutils.h"
 
-- 
2.43.5

